/// <reference types="node" />
import { PuppeteerLifeCycleEvent, ScreenshotClip } from 'puppeteer';
declare type typeOptions = {
    url: string;
    type: 'png' | 'jpeg' | 'webp';
    cache: number | boolean;
    quality: number;
    viewport: string;
    fullPage: boolean;
    isMobile: boolean;
    await: number;
    timeout: number;
    encoding: 'binary' | 'base64';
    clip: ScreenshotClip;
    font: string;
    waitUntil: PuppeteerLifeCycleEvent;
};
declare const _default: (data: typeOptions) => Promise<string | Buffer>;
export = _default;
